package com.dxhy.domestic.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

/**
 * t_dx_customs_record
 * 
 * @author dxhy
 */
@Data
@TableName("t_dx_customs_record")
public class TdxCustomsRecord implements Serializable {
    /** 认证方式1手工，2导入 */
    public static final String RZH_TYPE_MANUAL = "1";
    public static final String RZH_TYPE_IMPORT = "2";
    /** 认证类型，1认证抵扣，2认证不抵扣,3退税 */
    public static final String BDK_STATUS_VERI = "1";
    public static final String BDK_STATUS_NO_VERI = "2";
    public static final String BDK_STATUS_REFUND = "3";
    /** 认证处理状态0-未认证 1-已勾选未确认，2已确认 3 已发送认证 4 认证成功 5 认证失败6撤销认证 */
    public static final String AUTH_STATUS_NOT_VERI = "0";
    public static final String AUTH_STATUS_SELECTED_NO_VERI = "1";
    public static final String AUTH_STATUS_VERIED = "2";
    public static final String AUTH_STATUS_SENDED_VERI = "3";
    public static final String AUTH_STATUS_VERI_SUCCESS = "4";
    public static final String AUTH_STATUS_VERI_FAILURE = "5";
    public static final String AUTH_STATUS_CANCEL_VERI = "6";
    private static final long serialVersionUID = 1L;
    private Long id;
    /**
     * 缴款单位
     */
    private String gfName;
    /**
     * 缴款税号
     */
    private String gfTaxNo;
    /**
     * 缴款书号码
     */
    private String customsCode;
    /**
     * 缴款单位一税号
     */
    private String payerOneTaxno;
    /**
     * 缴款单位一名称
     */
    private String payerOneName;
    /**
     * 缴款单位二税号
     */
    private String payerTwoTaxno;
    /**
     * 缴款单位二名称
     */
    private String payerTwoName;
    /**
     * 填发日期
     */
    private Date fillInDate;
    /**
     * 税款金额
     */
    private String taxAmount;
    /**
     * 有效税款金额
     */
    private String yxTaxAmount;
    /**
     * 进口口岸代码
     */
    private String importPortCode;
    /**
     * 收入机关
     */
    private String incomeOffice;
    /**
     * 申请单位编号
     */
    private String applicantCode;
    /**
     * 报关单编号
     */
    private String billCode;
    /**
     * 贸易方式
     */
    private String modeType;
    /**
     * 预算科目代码
     */
    private String budgetCode;
    /**
     * 收款国库代码
     */
    private String treasuryCode;
    /**
     * 合同号
     */
    private String contractCode;
    /**
     * 运输工具
     */
    private String meansTransport;
    /**
     * 缴款期限
     */
    private String paymentPeriod;
    /**
     * 提运单号
     */
    private String deliveryCode;
    /**
     * 数据来源0采集1手工录入2Excel导入3扫描仪录入4电子版导入5签收推送
     */
    private String dataSources;
    /**
     * 采集时间
     */
    private Date createDate;
    /**
     * 修改时间
     */
    private Date updateDate;
    /**
     * 数据类型17-海关缴款书
     */
    private String dataType;
    /**
     * 采集上传状态0未上传1上传成功2上传失败
     */
    private String collectUploadStatus;
    /**
     * 稽核结果 -1-待处理，0-稽核中，1-相符，2-不符，3-缺联，4-重号 5-历史相符
     */
    private String auditStatus;
    /**
     * 是否申请核对0-否 1-是
     */
    private String applyCheck;
    /**
     * 失败原因 4-参数异常 5-数据重复 8-其他异常13-无法登录税局
     */
    private String failReason;
    /**
     * 核查结果 0允许抵扣/退税 1不允许抵扣/退税
     */
    private String checkStatus;
    /**
     * 签收状态0未签收1已签收
     */
    private String qsStatus;
    /**
     * 签收时间
     */
    private Date qsDate;
    /**
     * 签收方式（0-扫码签收 1-扫描仪签收 2-app签收 3-导入签收 4-手工签收，5-电票上传）
     */
    private String qsType;
    /**
     * 签收人
     */
    private String qsUser;
    /**
     * 认证时间
     */
    private Date rzhDate;
    /**
     * 认证属期
     */
    private String rzhBelongDate;
    /**
     * 认证确认时间
     */
    private Date confirmDate;
    /**
     * 认证方式1手工，2导入
     */
    private String rzhType;
    /**
     * 是否认证0未认证，1已认证抵扣，2已认证不抵扣
     */
    private String rzhYesorno;
    /**
     * 认证返回信息
     */
    private String rzhBackMsg;
    /**
     * 当前税款所属期
     */
    private String dqskssq;
    /**
     * 当前税款所属期勾选截止日
     */
    private String gxjzr;
    /**
     * 当前税款所属期可勾选发票开票日期范围起
     */
    private String gxfwq;
    /**
     * 当前税款所属期可勾选发票开票日期范围止
     */
    private String gxfwz;
    /**
     * 是否存入明细 0 无明细 1 有明细
     */
    private String detailYesorno;
    /**
     * 认证处理状态0-未认证 1-已勾选未确认，2已确认 3 已发送认证 4 认证成功 5 认证失败6撤销认证
     */
    private String authStatus;
    /**
     * 发送认证时间
     */
    private Date sendDate;
    /**
     * 认证类型(1-抵扣 2-退税 3-代理退税4-不抵扣 5-撤销认证 6-撤销不抵扣发票已认证、已勾选有该标签）
     */
    private String rzlx;
    /**
     * 确认人
     */
    private String confirmUser;
    /**
     * 部门id
     */
    private String deptId;
    /**
     * 部门名称
     */
    private String deptName;
    /**
     * 管理状态0正常1异常2疑似非正常
     */
    private String glzt;
    /**
     * 信息来源0扫描认证1系统推送 2出口转内销
     */
    private String xxly;
    /**
     * 撤销认证处理状态0未撤销，1申请撤销，2发送撤销，4撤销成功，5撤销失败
     */
    private String cxrzStatus;
    /**
     * 撤销认证操作时间
     */
    private Date cxrzDate;
    /**
     * 撤销认证申请属期
     */
    private String cxrzCurrentPeriod;
    /**
     * 认证类型，1认证抵扣，2认证不抵扣,3退税
     */
    private String bdkStatus;
    /**
     * 撤销不抵扣处理状态0未申请，1申请，2发送申请，4申请成功，5申请失败
     */
    private String cxbdkStatus;
    /**
     * 撤销不抵扣操作时间
     */
    private Date cxbdkDate;
    /**
     * 不抵扣申请属期
     */
    private String bdkCurrentPeriod;
    /**
     * 是否录入不符项 0-否 1-是
     */
    private String entryDiscrepancy;
    /**
     * 海关缴款书对应图片唯一码
     */
    private String customsScanId;
    /**
     * 出口转内销标志默认0否，1是
     */
    private String exportMark;
    /**
     * 录入时间
     */
    private Date entryDate;
    /**
     * 录入人
     */
    private String entryUser;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getGfName() {
        return gfName;
    }

    public void setGfName(String gfName) {
        this.gfName = gfName;
    }

    public String getGfTaxNo() {
        return gfTaxNo;
    }

    public void setGfTaxNo(String gfTaxNo) {
        this.gfTaxNo = gfTaxNo;
    }

    public String getCustomsCode() {
        return customsCode;
    }

    public void setCustomsCode(String customsCode) {
        this.customsCode = customsCode;
    }

    public String getPayerOneTaxno() {
        return payerOneTaxno;
    }

    public void setPayerOneTaxno(String payerOneTaxno) {
        this.payerOneTaxno = payerOneTaxno;
    }

    public String getPayerOneName() {
        return payerOneName;
    }

    public void setPayerOneName(String payerOneName) {
        this.payerOneName = payerOneName;
    }

    public String getPayerTwoTaxno() {
        return payerTwoTaxno;
    }

    public void setPayerTwoTaxno(String payerTwoTaxno) {
        this.payerTwoTaxno = payerTwoTaxno;
    }

    public String getPayerTwoName() {
        return payerTwoName;
    }

    public void setPayerTwoName(String payerTwoName) {
        this.payerTwoName = payerTwoName;
    }

    public Date getFillInDate() {
        return fillInDate;
    }

    public void setFillInDate(Date fillInDate) {
        this.fillInDate = fillInDate;
    }

    public String getTaxAmount() {
        return taxAmount;
    }

    public void setTaxAmount(String taxAmount) {
        this.taxAmount = taxAmount;
    }

    public String getYxTaxAmount() {
        return yxTaxAmount;
    }

    public void setYxTaxAmount(String yxTaxAmount) {
        this.yxTaxAmount = yxTaxAmount;
    }

    public String getImportPortCode() {
        return importPortCode;
    }

    public void setImportPortCode(String importPortCode) {
        this.importPortCode = importPortCode;
    }

    public String getIncomeOffice() {
        return incomeOffice;
    }

    public void setIncomeOffice(String incomeOffice) {
        this.incomeOffice = incomeOffice;
    }

    public String getApplicantCode() {
        return applicantCode;
    }

    public void setApplicantCode(String applicantCode) {
        this.applicantCode = applicantCode;
    }

    public String getBillCode() {
        return billCode;
    }

    public void setBillCode(String billCode) {
        this.billCode = billCode;
    }

    public String getModeType() {
        return modeType;
    }

    public void setModeType(String modeType) {
        this.modeType = modeType;
    }

    public String getBudgetCode() {
        return budgetCode;
    }

    public void setBudgetCode(String budgetCode) {
        this.budgetCode = budgetCode;
    }

    public String getTreasuryCode() {
        return treasuryCode;
    }

    public void setTreasuryCode(String treasuryCode) {
        this.treasuryCode = treasuryCode;
    }

    public String getContractCode() {
        return contractCode;
    }

    public void setContractCode(String contractCode) {
        this.contractCode = contractCode;
    }

    public String getMeansTransport() {
        return meansTransport;
    }

    public void setMeansTransport(String meansTransport) {
        this.meansTransport = meansTransport;
    }

    public String getPaymentPeriod() {
        return paymentPeriod;
    }

    public void setPaymentPeriod(String paymentPeriod) {
        this.paymentPeriod = paymentPeriod;
    }

    public String getDeliveryCode() {
        return deliveryCode;
    }

    public void setDeliveryCode(String deliveryCode) {
        this.deliveryCode = deliveryCode;
    }

    public String getDataSources() {
        return dataSources;
    }

    public void setDataSources(String dataSources) {
        this.dataSources = dataSources;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public String getDataType() {
        return dataType;
    }

    public void setDataType(String dataType) {
        this.dataType = dataType;
    }

    public String getCollectUploadStatus() {
        return collectUploadStatus;
    }

    public void setCollectUploadStatus(String collectUploadStatus) {
        this.collectUploadStatus = collectUploadStatus;
    }

    public String getAuditStatus() {
        return auditStatus;
    }

    public void setAuditStatus(String auditStatus) {
        this.auditStatus = auditStatus;
    }

    public String getApplyCheck() {
        return applyCheck;
    }

    public void setApplyCheck(String applyCheck) {
        this.applyCheck = applyCheck;
    }

    public String getFailReason() {
        return failReason;
    }

    public void setFailReason(String failReason) {
        this.failReason = failReason;
    }

    public String getCheckStatus() {
        return checkStatus;
    }

    public void setCheckStatus(String checkStatus) {
        this.checkStatus = checkStatus;
    }

    public String getQsStatus() {
        return qsStatus;
    }

    public void setQsStatus(String qsStatus) {
        this.qsStatus = qsStatus;
    }

    public Date getQsDate() {
        return qsDate;
    }

    public void setQsDate(Date qsDate) {
        this.qsDate = qsDate;
    }

    public String getQsType() {
        return qsType;
    }

    public void setQsType(String qsType) {
        this.qsType = qsType;
    }

    public String getQsUser() {
        return qsUser;
    }

    public void setQsUser(String qsUser) {
        this.qsUser = qsUser;
    }

    public Date getRzhDate() {
        return rzhDate;
    }

    public void setRzhDate(Date rzhDate) {
        this.rzhDate = rzhDate;
    }

    public String getRzhBelongDate() {
        return rzhBelongDate;
    }

    public void setRzhBelongDate(String rzhBelongDate) {
        this.rzhBelongDate = rzhBelongDate;
    }

    public Date getConfirmDate() {
        return confirmDate;
    }

    public void setConfirmDate(Date confirmDate) {
        this.confirmDate = confirmDate;
    }

    public String getRzhType() {
        return rzhType;
    }

    public void setRzhType(String rzhType) {
        this.rzhType = rzhType;
    }

    public String getRzhYesorno() {
        return rzhYesorno;
    }

    public void setRzhYesorno(String rzhYesorno) {
        this.rzhYesorno = rzhYesorno;
    }

    public String getRzhBackMsg() {
        return rzhBackMsg;
    }

    public void setRzhBackMsg(String rzhBackMsg) {
        this.rzhBackMsg = rzhBackMsg;
    }

    public String getDqskssq() {
        return dqskssq;
    }

    public void setDqskssq(String dqskssq) {
        this.dqskssq = dqskssq;
    }

    public String getGxjzr() {
        return gxjzr;
    }

    public void setGxjzr(String gxjzr) {
        this.gxjzr = gxjzr;
    }

    public String getGxfwq() {
        return gxfwq;
    }

    public void setGxfwq(String gxfwq) {
        this.gxfwq = gxfwq;
    }

    public String getGxfwz() {
        return gxfwz;
    }

    public void setGxfwz(String gxfwz) {
        this.gxfwz = gxfwz;
    }

    public String getDetailYesorno() {
        return detailYesorno;
    }

    public void setDetailYesorno(String detailYesorno) {
        this.detailYesorno = detailYesorno;
    }

    public String getAuthStatus() {
        return authStatus;
    }

    public void setAuthStatus(String authStatus) {
        this.authStatus = authStatus;
    }

    public Date getSendDate() {
        return sendDate;
    }

    public void setSendDate(Date sendDate) {
        this.sendDate = sendDate;
    }

    public String getRzlx() {
        return rzlx;
    }

    public void setRzlx(String rzlx) {
        this.rzlx = rzlx;
    }

    public String getConfirmUser() {
        return confirmUser;
    }

    public void setConfirmUser(String confirmUser) {
        this.confirmUser = confirmUser;
    }

    public String getDeptId() {
        return deptId;
    }

    public void setDeptId(String deptId) {
        this.deptId = deptId;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getGlzt() {
        return glzt;
    }

    public void setGlzt(String glzt) {
        this.glzt = glzt;
    }

    public String getXxly() {
        return xxly;
    }

    public void setXxly(String xxly) {
        this.xxly = xxly;
    }

    public String getCxrzStatus() {
        return cxrzStatus;
    }

    public void setCxrzStatus(String cxrzStatus) {
        this.cxrzStatus = cxrzStatus;
    }

    public Date getCxrzDate() {
        return cxrzDate;
    }

    public void setCxrzDate(Date cxrzDate) {
        this.cxrzDate = cxrzDate;
    }

    public String getCxrzCurrentPeriod() {
        return cxrzCurrentPeriod;
    }

    public void setCxrzCurrentPeriod(String cxrzCurrentPeriod) {
        this.cxrzCurrentPeriod = cxrzCurrentPeriod;
    }

    public String getBdkStatus() {
        return bdkStatus;
    }

    public void setBdkStatus(String bdkStatus) {
        this.bdkStatus = bdkStatus;
    }

    public String getCxbdkStatus() {
        return cxbdkStatus;
    }

    public void setCxbdkStatus(String cxbdkStatus) {
        this.cxbdkStatus = cxbdkStatus;
    }

    public Date getCxbdkDate() {
        return cxbdkDate;
    }

    public void setCxbdkDate(Date cxbdkDate) {
        this.cxbdkDate = cxbdkDate;
    }

    public String getBdkCurrentPeriod() {
        return bdkCurrentPeriod;
    }

    public void setBdkCurrentPeriod(String bdkCurrentPeriod) {
        this.bdkCurrentPeriod = bdkCurrentPeriod;
    }

    public String getEntryDiscrepancy() {
        return entryDiscrepancy;
    }

    public void setEntryDiscrepancy(String entryDiscrepancy) {
        this.entryDiscrepancy = entryDiscrepancy;
    }

    public String getCustomsScanId() {
        return customsScanId;
    }

    public void setCustomsScanId(String customsScanId) {
        this.customsScanId = customsScanId;
    }

    public String getExportMark() {
        return exportMark;
    }

    public void setExportMark(String exportMark) {
        this.exportMark = exportMark;
    }

    public Date getEntryDate() {
        return entryDate;
    }

    public void setEntryDate(Date entryDate) {
        this.entryDate = entryDate;
    }

    public String getEntryUser() {
        return entryUser;
    }

    public void setEntryUser(String entryUser) {
        this.entryUser = entryUser;
    }

}